﻿using System.Collections.Generic;

namespace VCommon.VApplication.Authorization
{
    public class PermissionNodeOutput
    {
        public List<PermissionNodeOutput> Children { get; } = new();
        public string Code { get; }
        public string Name { get; }
        public string Description { get; }

        internal PermissionNodeOutput(string code, string name, string description = null)
        {
            Code = code;
            Name = name;
            Description = description;
        }
    }
}
